#
# spec file for package python-arpy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-arpy
Version:        1.1.1
Release:        1.1
Url:            http://bitbucket.org/viraptor/arpy
Summary:        Library for accessing "ar" files
License:        Simplified BSD
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/arpy/arpy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
'arpy' is a library for accessing the archive files and reading the contents.
It supports extended long filenames in both GNU and BSD format. Right now it
does not support the symbol tables.

Usage instructions are included in the module docstring. No fancy features were
used, so it should work on any reasonable version of Python2.

%prep
%setup -q -n arpy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 1.1.1
  + No changelog available
- Add python-setuptools BuildRequires; new dependency
* Tue Aug 16 2011 saschpe@suse.de
- Initial version
